package com.iformall.domain.po;

import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @author luozukai
 * @date 2019/3/7 10:05
 */
public class BaseMsg implements Serializable {
    private static final long serialVersionUID = 923764283764823L;

    //唯一标识
    @Transient
    private String uuid;

    //消息类型 1短信 2回调短信 3邮件 4微信小程序模板 5微信公众号模板 6系统通知
    @Transient
    private Integer msgType;

    //消息状态 0默认1发送成功2消费成功3消费失败
    @Transient
    private Integer msgStatus;

    //结果信息
    @Transient
    private String statusMessage;

    //延迟消息1s，5s，10s，30s，1m，2m，3m，4m，5m，6m，7m，8m，9m，10m，20m，30m，1h，2h
    @Transient
    private Integer delayTimeLevel = 0;

    public Integer getDelayTimeLevel() {
        return delayTimeLevel;
    }

    public void setDelayTimeLevel(Integer delayTimeLevel) {
        this.delayTimeLevel = delayTimeLevel;
    }

    public String getStatusMessage() {
        return statusMessage;
    }

    public void setStatusMessage(String statusMessage) {
        this.statusMessage = statusMessage;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Integer getMsgStatus() {
        return msgStatus;
    }

    public void setMsgStatus(Integer msgStatus) {
        this.msgStatus = msgStatus;
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }
}
